<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    exclude-result-prefixes="xs"
    version="2.0">
    
    <xsl:output method="html"
                encoding="UTF-8"
                omit-xml-declaration="yes"
                indent="yes"               
                version="5.0"   
    />
    
    
    <xsl:template match="/">
        <html>
            <head>
                <title>Wisconsin Museums</title>
                <link rel="stylesheet" type="text/css" href="museum_style.css"/>
            </head>
            <body>
                <h2>Wisconsin Museums</h2>
                <h4>(Source: <xsl:value-of select="museums/@source"/> as of <xsl:value-of select="museums/@asOf"/>)</h4>
                <xsl:for-each select="museums/museum">
                    <!-- Note that the sort statement below places report in commonName order -->
                    <xsl:sort select="commonName"/>
                    <p>
                        <b><xsl:value-of select="commonName"/></b><br/>
                        <i>Museum ID: </i> <xsl:value-of select="museumID"/><br/>
                        <i>Legal Name: </i> <xsl:value-of select="legalName"/><br/>
                        <xsl:if test="akaORdba">
                            <i>AKA or DBA: </i> <xsl:value-of select="akaORdba"/><br/>    
                        </xsl:if>
                        <i>Address: </i>
                        <xsl:if test="street">
                            <xsl:value-of select="street"/>
                            <xsl:text>, </xsl:text>
                        </xsl:if>
                        <xsl:value-of select="city"/>
                        <xsl:text>, </xsl:text>
                        <xsl:value-of select="state"/>
                        <xsl:text>, </xsl:text>
                        <xsl:value-of select="zip"/>
                        <br/>
                        <xsl:if test="phone">
                            <i>Phone: </i>
                            <!-- Note the use of expressions in the select attribute below formats the phone number on output  -->
                            <xsl:value-of select="concat(substring(phone, 1, 3), '-', substring(phone, 4, 3), '-', substring(phone, 7, 4))"/>
                            
                            <br/>
                        </xsl:if>
                        <xsl:if test="webURL">
                            <a href="{webURL}">Web Site</a>
                        </xsl:if>
                        
                    </p>
                </xsl:for-each>
                
            </body>
        </html>
        
        
        
        
    </xsl:template>
    
    
    
</xsl:stylesheet>